Skip to main content
GET
Get a transaction

Headers

Authorization
string
default:NONE
required

Bearer JWT for user-facing flows (Bearer eyJraWQ...), or the literal string NONE when authenticating via API key.

Example:

"Bearer eyJraWQ..."

X-Api-Key
string
default:NONE
required

API key for server-to-server flows, or the literal string NONE when authenticating via JWT.

Example:

"pcx_abc123_xxxx"

Path Parameters

transaction_id
string
required

Response

Transaction object

transaction_id
string
user_id
string
beneficiary_id
string | null
amount
number<float>
currency
string
type
enum<string>
Available options:
inbound,
outbound,
loan
status
enum<string>
Available options:
initiated,
pending,
completed,
failed
payment_method
enum<string>
Available options:
bank_transfer,
mobile_money,
crypto,
card
payment_id
string | null
org_id
string | null
country
string | null
target_amount
number<float> | null
target_currency
string | null
metadata
object
created_at
string<date-time>
updated_at
string<date-time>